#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <deque>
#include <stack>
#include <queue>
#include <algorithm>
#include <cmath>
#include <climits>
#include <ctime>
#include <iomanip>
#include <string>

using namespace std;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    string s;
    cin>>s;
    int n = s.size();
    int pr[n + 1],  k = 0;
    pr[1] = 1;
    for(int i = 0; i < n; i++)
    {
        if(s[i] == s[i-1] || s[i] > s[i-1])
        {
            ;
        }
        else k++;
        pr[i + 1] = k;
    }
    int q;
    cin>>q;
    while(q--)
    {
        int l, r;
        cin>>l>>r;
        cout<<pr[r] - pr[l] + 1<<'\n';
    }
}